## libxml-parser-perl 2.41

=== debian/changelog ===
libxml-parser-perl (2.41-1build3) devel; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Oct 2013 14:11:23 +0100

libxml-parser-perl (2.41-1build2) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Oct 2012 10:47:53 +0100

libxml-parser-perl (2.41-1build1) precise; urgency=low

  * Rebuild for Perl 5.14.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Nov 2011 14:15:48 +0000

libxml-parser-perl (2.41-1) unstable; urgency=low

  * New upstream release
  * Removed patch applied upstream

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Fri, 03 Jun 2011 23:09:10 +0100

libxml-parser-perl (2.40-2) unstable; urgency=low

  [ Nicholas Bamber ]
  * Created rule to create encodings from libxml-encoding-perl, cf. #458144
  * Dropped build dependency on libxml-encoding-perl
  * Added debian/README.source

  [ gregor herrmann ]
  * Use binary encodings files instead of uuencoded ones (adjust debian/rules,
    add debian/source/options).

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Thu, 19 May 2011 20:33:59 +0100

libxml-parser-perl (2.40-1) unstable; urgency=low

  [ Nicholas Bamber ]
  * Moved package to Debian Perl Group
  * Updated VCS and Home page (Closes: #528293)
  * Raised standards version to 3.9.2
  * Reviewed dependencies
  * Raised debhelper version and compat level to 7
  * New upstream release
  * Refreshed debian/rules and removed unneeded debhelper files
  * Removed duplicate control fields
  * Added debian/source/format
  * Email change: Stevie Strickland -> sstrickl@cc.gatech.edu
  * Email change: Raphael Hertzog -> hertzog@debian.org
  * Refreshed copyright
  * Added patch to fix NAME entries in pod (Closes: #472860)
  * Added patch to fix other pod errors (Closes: #588994)
  * Added patch to fix spelling errors
  * Added rules to fix local perl shebang and not to compress xmlfilter
  * Added rules to recompile encodings from libxml-encoding-perl in 
    preference to the encodings bundled with upstream
  * Remove the contributed encodings as they appear to be in XML::Encoding
  * Added doc-base references to documentation in XML/Parser/Encodings directory

  [ gregor herrmann ]
  * debian/watch: use dist-based URL.

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sun, 15 May 2011 11:11:16 +0100

libxml-parser-perl (2.36-1.1) unstable; urgency=low

  * Non-maintainer upload for the Perl 5.10 transition.
  * Copy and uuencode the additional generated encoding files from the
    previous version of this package instead of build-depending on
    libxml-encoding-perl to break a dependency loop. (Closes: #458144)

 -- Niko Tyni <ntyni@debian.org>  Thu, 03 Apr 2008 21:31:59 +0300

libxml-parser-perl (2.36-1) unstable; urgency=low

  * New upstream release
  * Official inclusion of NMU patches (thanks Joey, Joris and Steinar)
    (closes: Bug387720,Bug#380426,Bug#378412,Bug#378411,Bug#213623,Bug#132989)
  * debian/watch
    * bumped version to 3
    * fixed typo in version regexp
      (closes: Bug#429176)
  * debian/compat: bumped version to 5
  * debian/control:
    * changed build dependency on 'debhelper' to '(>= 5.0)'
    * upgraded to Debian Policy 3.7.3 (no changes)
    * added Vcs-Browser and Vcs-Cvs fields
    * added Homepage field
  * debian/rules: deconfused call of compile_encoding
    (closes: Bug#458580)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 05 Jan 2008 12:39:54 -0600

libxml-parser-perl (2.34-4.3) unstable; urgency=low

  * NMU.
  * Build-Depend on libxml-encoding-perl to use it as a source of encoding
    files. (For now, only use it for the encodings below, that are not
    included in this package's source, but it could be used as the source of
    all the encoding files in this package.)
  * Include encoding files for iso-8859-1, iso-8859-6, iso-8859-10,
    iso-8859-11, iso-8859-13, iso-8859-14, iso-8859-15, iso-8859-16,
    and windows-1251. Closes: #132989, #380426, #213623

 -- Joey Hess <joeyh@debian.org>  Sat, 21 Jul 2007 20:39:46 -0400

libxml-parser-perl (2.34-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix buffer overflow when reading UTF-8 data; patch from Joris van
    Rantwijk. (Closes: #378411)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 15 Sep 2006 21:56:47 +0200

libxml-parser-perl (2.34-4.1) unstable; urgency=high

  * NMU.
  * Fix buffer overflow in XML::Parser::Expat triggered by deep nesting,
    reported by and patch provided by Joris van Rantwijk. Closes: #378412

 -- Joey Hess <joeyh@debian.org>  Sat,  5 Aug 2006 14:07:17 -0400

libxml-parser-perl (2.34-4) unstable; urgency=low

  * Added 'debian/watch'
  * debian/rules: various small improvements

 -- Ardo van Rangelrooij <ardo@debian.org>  Wed, 24 Nov 2004 10:59:57 -0600

libxml-parser-perl (2.34-3) unstable; urgency=low

  * debian/control: changed 'Maintainer' to 'Debian XML/SGML Group
    <debian-xml-sgml-pkgs@lists.alioth.debian.org>' and added current
    maintainer as 'Uploaders'

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 29 Feb 2004 11:40:40 -0600

libxml-parser-perl (2.34-2) unstable; urgency=low

  * debian/copyright: updated
  * debian/control: upgraded to Debian Policy 3.6.1 (no changes)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat,  7 Feb 2004 23:00:58 -0600

libxml-parser-perl (2.34-1) unstable; urgency=low

  * New upstream release
  * debian/control: upgraded build dependency on 'debhelper' to '>= 4.1'
  * debian/control: upgraded to Debian Policy 3.6.0 (no changes)

 -- Ardo van Rangelrooij <ardo@debian.org>  Thu,  4 Sep 2003 20:01:33 -0500

libxml-parser-perl (2.31-6) unstable; urgency=low

  * Expat/Parser.pm: applied a quick fix to a memory leak introduced in
    version 2.30-3
    (closes: Bug#189775)
  * debian/control: upgraded to Debian Policy 3.5.9 (no changes)
  * debian/rules: moved debhelper compatibility level setting to
    'debian/compat' per latest debhelper best practices

