=== debian/control ===
Source: libxml-parser-perl
Section: perl
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Nicholas Bamber <nicholas@periapt.co.uk>,
 Daniel Leidert (dale) <daniel.leidert@wgdd.de>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.0.50~), perl, liburi-perl, libwww-perl,
 libexpat1-dev, sharutils
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-perl/trunk/libxml-parser-perl/
Vcs-Svn: svn://svn.debian.org/pkg-perl/trunk/libxml-parser-perl/
Homepage: http://www.libexpat.org/

Package: libxml-parser-perl
Architecture: any
Depends: ${perl:Depends}, ${misc:Depends}, liburi-perl, libwww-perl,
 ${shlibs:Depends}
Description: Perl module for parsing XML files
 XML::Parser module provides ways to parse XML documents.  It is built on top
 of XML::Parser::Expat, which is a lower level interface to James
 Clark's expat library.  Each call to one of the parsing methods
 creates a new instance of XML::Parser::Expat which is then used to
 parse the document.  Expat options may be provided when the
 XML::Parser object is created.  These options are then passed on to
 the Expat object on each parse call.  They can also be given as extra
 arguments to the parse methods, in which case they override options
 given at XML::Parser creation time.
 .
 The behavior of the parser is controlled either by Style and/or
 Handlers options, or by setHandlers method.  These all provide
 mechanisms for XML::Parser to set the handlers needed by
 XML::Parser::Expat.  If neither Style nor Handlers are specified,
 then parsing just checks the document for being well-formed.
 .
 When underlying handlers get called, they receive as their first
 parameter the Expat object, not the Parser object.
