=== debian/rules ===
#!/usr/bin/make -f

PKG:=$(shell dh_listpackages)
TMP:=$(CURDIR)/debian/$(PKG)
EG:=$(TMP)/usr/share/doc/$(PKG)/examples
XE_FILES:=$(wildcard /usr/share/libxml-encoding-perl/*.xml)
ENC_FILES:=$(wildcard debian/encodings/*.enc)


%:
	dh $@

override_dh_installexamples:
	dh_installexamples
	sed -i -e'1s|/usr/local/bin/perl|/usr/bin/perl|' $(EG)/canonical $(EG)/xmlcomments $(EG)/xmlstats $(EG)/xmlfilter

override_dh_compress:
	dh_compress -Xxmlfiltera

override_dh_auto_build:
	dh_auto_build
	$(foreach f,$(ENC_FILES),rm -f blib/lib/XML/Parser/Encodings/$(basename $(notdir $(f))).enc;)
	$(foreach f,$(ENC_FILES),cp $f blib/lib/XML/Parser/Encodings/;)

make_encodings: /usr/share/libxml-encoding-perl
	rm -rf debian/encodings/*
	$(foreach f,$(XE_FILES),compile_encoding -o debian/encodings/$(basename $(notdir $(f))).enc $f;)

/usr/share/libxml-encoding-perl:
	@echo Please install libxml-encoding-perl
	exit 1
