=== debian/watch ===
version=3
http://search.cpan.org/dist/XML-Parser/ .*/XML-Parser-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
