## libxml-parser-perl 2.44

=== debian/changelog ===
libxml-parser-perl (2.44-4) unstable; urgency=medium

  * Team upload
  * Update patch (Closes: #923223)

 -- Xavier Guimard <yadd@debian.org>  Thu, 28 Feb 2019 19:39:53 +0100

libxml-parser-perl (2.44-3) unstable; urgency=medium

  * Team upload

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Xavier Guimard ]
  * Declare compliance with policy 4.3.0
  * Bump debhelper compatibility version to 11
  * Use 3-form for open() (Closes: #923223)
  * Update metadata
  * Add source/include-binaries

 -- Xavier Guimard <yadd@debian.org>  Tue, 26 Feb 2019 08:11:30 +0100

libxml-parser-perl (2.44-2) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * debian/upstream/metadata: change GitHub/CPAN URL(s) to HTTPS.

  [ Salvatore Bonaccorso ]
  * debian/rules: Build enabling all hardening flags
  * Declare compliance with Debian policy 3.9.8

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 05 Jul 2016 21:55:41 +0200

libxml-parser-perl (2.44-1) unstable; urgency=medium

  * Drop debian/tests/control, add Testsuite field to debian/control
    instead.
  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.
  * Add debian/upstream/metadata.

  * Import upstream version 2.44.
  * Update years of packaging copyright.
  * Update Upstream-Contact in debian/copyright.
  * Drop patches, both merged upstream.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Sun, 01 Nov 2015 17:49:25 +0100

libxml-parser-perl (2.41-3) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Niko Tyni ]
  * Add autopkgtest support.
  * Fix outdated vendorarch directory in doc-base file lists. (Closes: #758294)

 -- Niko Tyni <ntyni@debian.org>  Sat, 06 Sep 2014 18:28:21 +0300

libxml-parser-perl (2.41-2) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Damyan Ivanov ]
  * remove Daniel Leidert from uploaders on his request. Closes: #660676

  [ Salvatore Bonaccorso ]
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Axel Beckert ]
  * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
    copyright"

  [ gregor herrmann ]
  * debian/control: remove Nicholas Bamber from Uploaders on request of
    the MIA team.

  [ intrigeri ]
  * Bump debhelper compat level to 9
  * Adjust versioned Build-Depends on debhelper to (>= 9.20120312~)
    to get hardening build flags.
  * Reformat debian/control with cme fix dpkg.

  [ gregor herrmann ]
  * Drop sharutils from Build-Depends, not used anymore during build.
    Thanks to Johannes Schauer for detecting.
  * Patches: forward upstream, update DEP3 headers.
  * Add /me to Uploaders.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Mon, 07 Jul 2014 19:44:49 +0200
