=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 PKG:=$(shell dh_listpackages)
 TMP:=$(CURDIR)/debian/$(PKG)
@@ -6,6 +8,7 @@
 XE_FILES:=$(wildcard /usr/share/libxml-encoding-perl/*.xml)
 ENC_FILES:=$(wildcard debian/encodings/*.enc)
 
+ARCHLIB := $(shell perl -MConfig -e 'print $$Config{vendorarch}')
 
 %:
 	dh $@
@@ -22,6 +25,10 @@
 	$(foreach f,$(ENC_FILES),rm -f blib/lib/XML/Parser/Encodings/$(basename $(notdir $(f))).enc;)
 	$(foreach f,$(ENC_FILES),cp $f blib/lib/XML/Parser/Encodings/;)
 
+override_dh_installdocs:
+	sed -e 's,@ARCHLIB@,$(ARCHLIB),g' debian/libxml-parser-perl.doc-base_in > debian/libxml-parser-perl.doc-base
+	dh_installdocs
+
 make_encodings: /usr/share/libxml-encoding-perl
 	rm -rf debian/encodings/*
 	$(foreach f,$(XE_FILES),compile_encoding -o debian/encodings/$(basename $(notdir $(f))).enc $f;)
@@ -29,4 +36,3 @@
 /usr/share/libxml-encoding-perl:
 	@echo Please install libxml-encoding-perl
 	exit 1
-
