## libxml-parser-perl 2.46

=== debian/changelog ===
libxml-parser-perl (2.46-1) unstable; urgency=medium

  * Team upload

  [ Clément Hermann ]
  * Use system build dependencies instead of embedded modules in inc/
  * Fix location of Encoding documentation so it doesn't end in /usr/lib

  [ Xavier Guimard ]
  * Import upstream version 2.46
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.1
  * Add debian/gbp.conf
  * Remove use-3-form-open patch
  * Add "Rules-Requires-Root: no"

 -- Xavier Guimard <yadd@debian.org>  Thu, 03 Oct 2019 19:48:19 +0200
