=== debian/control ===
--- 
+++ 
@@ -4,15 +4,17 @@
 Section: perl
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
+               libdevel-checklib-perl,
                libexpat1-dev,
                liburi-perl,
                libwww-perl,
                perl
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libxml-parser-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libxml-parser-perl.git
 Homepage: http://www.libexpat.org/
+Rules-Requires-Root: no
 
 Package: libxml-parser-perl
 Architecture: any
