=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,32 @@
 
 ARCHLIB := $(shell perl -MConfig -e 'print $$Config{vendorarch}')
 
+ENC_DOC_FILES:=$(wildcard debian/$(PKG)/$(ARCHLIB)/XML/Parser/Encodings/*.msg) \
+								debian/$(PKG)/$(ARCHLIB)/XML/Parser/Encodings/README
+
 %:
 	dh $@
+
+# we want to use the system version of included modules, so
+# we move the inc away and move it back afterwards
+override_dh_auto_clean:
+	dh_auto_clean
+	[ ! -d $(CURDIR)/inc.save ] || mv $(CURDIR)/inc.save $(CURDIR)/inc
+
+override_dh_auto_configure:
+	[ ! -d $(CURDIR)/inc ] || mv $(CURDIR)/inc $(CURDIR)/inc.save
+	dh_auto_configure
 
 override_dh_installexamples:
 	dh_installexamples
 	sed -i -e'1s|/usr/local/bin/perl|/usr/bin/perl|' $(EG)/canonical $(EG)/xmlcomments $(EG)/xmlstats $(EG)/xmlfilter
+
+# install Encodings/README and Encodings/*.msg as documentation
+override_dh_install:
+	dh_install
+	mkdir -p debian/$(PKG)/usr/share/doc/$(PKG)/Encodings
+	$(foreach f,$(ENC_DOC_FILES),mv $(f) debian/$(PKG)/usr/share/doc/$(PKG)/Encodings/;)
+
 
 override_dh_compress:
 	dh_compress -Xxmlfiltera
@@ -25,10 +45,6 @@
 	$(foreach f,$(ENC_FILES),rm -f blib/lib/XML/Parser/Encodings/$(basename $(notdir $(f))).enc;)
 	$(foreach f,$(ENC_FILES),cp $f blib/lib/XML/Parser/Encodings/;)
 
-override_dh_installdocs:
-	sed -e 's,@ARCHLIB@,$(ARCHLIB),g' debian/libxml-parser-perl.doc-base_in > debian/libxml-parser-perl.doc-base
-	dh_installdocs
-
 make_encodings: /usr/share/libxml-encoding-perl
 	rm -rf debian/encodings/*
 	$(foreach f,$(XE_FILES),compile_encoding -o debian/encodings/$(basename $(notdir $(f))).enc $f;)
