## libxml-parser-perl 2.47

=== debian/changelog ===
libxml-parser-perl (2.47-1) unstable; urgency=medium

  * Import upstream version 2.47.
  * Make build dependency on libdevel-checklib-perl versioned.
  * debian/copyright: update years of packaging copyright.
  * debian/copyright: add copyright holder.
  * debian/copyright: add comment regarding new LICENSE file.
  * Declare compliance with Debian Policy 4.6.2.
  * Update debian/upstream/metadata.

 -- gregor herrmann <gregoa@debian.org>  Mon, 01 Jan 2024 23:23:27 +0100

libxml-parser-perl (2.46-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + libxml-parser-perl: Drop Multi-Arch: same.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 13:38:48 +0000

libxml-parser-perl (2.46-3) unstable; urgency=medium

  * debian/rules: make usage of $Config{vendorarch}
    cross-build-compatible.
  * Update debian/upstream/metadata.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.0.

 -- gregor herrmann <gregoa@debian.org>  Wed, 03 Nov 2021 18:12:45 +0100

libxml-parser-perl (2.46-2) unstable; urgency=medium

  [ Nick Morrott ]
  * d/watch: Migrate to version 4 watch file format
  * d/u/metadata: Refresh upstream metadata
  * d/copyright: Refresh Debian Files stanza

  [ Debian Janitor ]
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ gregor herrmann ]
  * debian/control: update Build-Depends for cross builds.

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.

  [ Stephan Lachnit ]
  * Set Multi-Arch: same
  * Add Salsa CI

  [ gregor herrmann ]
  * Update Homepage in debian/control.
    Thanks to Stephan Lachnit for the proposal in MR!1.
  * Declare compliance with Debian Policy 4.5.1.
  * Annotate test-only build dependencies with <!nocheck>.
  * Bump debhelper-compat to 13.

 -- gregor herrmann <gregoa@debian.org>  Thu, 26 Nov 2020 19:13:10 +0100
