=== debian/control ===
--- 
+++ 
@@ -4,22 +4,23 @@
 Section: perl
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               libdevel-checklib-perl,
+Build-Depends: debhelper-compat (= 13),
+               libdevel-checklib-perl (>= 1.16),
                libexpat1-dev,
-               liburi-perl,
-               libwww-perl,
-               perl
-Standards-Version: 4.4.1
+               liburi-perl <!nocheck>,
+               libwww-perl <!nocheck>,
+               perl-xs-dev,
+               perl:native
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libxml-parser-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libxml-parser-perl.git
-Homepage: http://www.libexpat.org/
+Homepage: https://metacpan.org/release/XML-Parser
 Rules-Requires-Root: no
 
 Package: libxml-parser-perl
 Architecture: any
-Depends: ${perl:Depends},
-         ${misc:Depends},
+Depends: ${misc:Depends},
+         ${perl:Depends},
          ${shlibs:Depends},
          liburi-perl,
          libwww-perl
