=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,12 @@
 XE_FILES:=$(wildcard /usr/share/libxml-encoding-perl/*.xml)
 ENC_FILES:=$(wildcard debian/encodings/*.enc)
 
-ARCHLIB := $(shell perl -MConfig -e 'print $$Config{vendorarch}')
+include /usr/share/dpkg/architecture.mk
+PERLVER := $(shell perl -MConfig -e 'print $$Config{version}')
+ARCHLIB := $(shell perl -I/usr/lib/$(DEB_HOST_MULTIARCH)/perl/cross-config-$(PERLVER) -MConfig -e 'print $$Config{vendorarch}')
 
-ENC_DOC_FILES:=$(wildcard debian/$(PKG)/$(ARCHLIB)/XML/Parser/Encodings/*.msg) \
-								debian/$(PKG)/$(ARCHLIB)/XML/Parser/Encodings/README
+ENC_DOC_FILES:=$(wildcard $(TMP)/$(ARCHLIB)/XML/Parser/Encodings/*.msg) \
+	$(TMP)/$(ARCHLIB)/XML/Parser/Encodings/README
 
 %:
 	dh $@
@@ -33,8 +35,8 @@
 # install Encodings/README and Encodings/*.msg as documentation
 override_dh_install:
 	dh_install
-	mkdir -p debian/$(PKG)/usr/share/doc/$(PKG)/Encodings
-	$(foreach f,$(ENC_DOC_FILES),mv $(f) debian/$(PKG)/usr/share/doc/$(PKG)/Encodings/;)
+	mkdir -p $(TMP)/usr/share/doc/$(PKG)/Encodings
+	$(foreach f,$(ENC_DOC_FILES),mv $(f) $(TMP)/usr/share/doc/$(PKG)/Encodings/;)
 
 
 override_dh_compress:
